<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>glibc strlen specification</h1>

<pre class="code">
  /*@
    requires valid_read_string (str);
    assigns \nothing;
    ensures (\forall integer i; 0 <= i < \result ==> str[i] != '\0') &&
            str[\result] == '\0';
   */
  size_t strlen (const char *str)
  {
    ...
</pre>
